- name: Open
  meta:
    - str: "ERRNO=%d"
      type: int32
    - str: "PATH=%s"
      type: string

- name: Seek
  meta:
    - str: "OFFSET=%ll"
      type: int64
    - str: "WHENCE=%d"
      type: int32
    - str: "ERRNO=%d"
      type: int32
    - str: "PATH=%s"
      type: string

- name: Write
  meta:
    - str: "ERRNO=%d"
      type: int32
    - str: "PATH=%s"
      type: string

- name: Read
  meta:
    - str: "ERRNO=%d"
      type: int32
    - str: "PATH=%s"
      type: string
